% Citations
\newcommand{\mycite}[1]{\raisebox{0.75ex}{\tiny[#1]}} % Superscript in square brackets
\newcommand{\lbpaper}[1]{\href{http://lhcbproject.web.cern.ch/lhcbproject/Publications/LHCbProjectPublic/#1.html}{#1}} % Cite LHCb PAPER, DP or CONF (as link to web page)
\newcommand{\lbfigure}[1]{\href{https://lhcbproject.web.cern.ch/lhcbproject/Publications/f/p/#1.html}{#1}} % Cite LHCb FIGURE
\newcommand{\lbcite}[1]{\input{refs/#1}\unskip} % Pass LHCb PAPER, DP or CONF number, get output of scripts/get_reference.py
\newcommand{\arxiv}[1]{\href{https://arxiv.org/abs/#1}{arXiv:#1}} % Cite arXiv number
\newcommand{\doi}[1]{\href{https://doi.org/#1}{doi:#1}} % Cite DOI
\newcommand{\paperdoi}[2]{\href{https://doi.org/#1}{#2}} % #1: DOI, #2: citation string

% Inline logo command
\newcommand{\icon}[1]{\raisebox{-0.2em}{\includegraphics[height=1em]{logos/#1}}}

% CERN GitLab links
\newcommand{\gitlab}[1]{\href{https://gitlab.cern.ch/#1}{\icon{gitlab}\;\texttt{#1}}}
\newcommand{\gitlabmr}[2]{\href{https://gitlab.cern.ch/#1/-/merge_requests/#2}{\icon{gitlab}\;\texttt{#1!#2}}}
\newcommand{\gitlabissue}[2]{\href{https://gitlab.cern.ch/#1/-/issues/#2}{\icon{gitlab}\;\texttt{#1\##2}}}

% Other presentations
\newcommand{\indico}[2]{\icon{indico}\;\href{#1}{#2}}
\newcommand{\seeslides}[2]{\mycite{\indico{#1}{#2}}}

% Indicative symbols
\def\good{{\color{ta3chameleon}\ding{51}}\xspace}
\def\bad{{\color{ta3scarletred}\ding{55}}\xspace}
\def\warn{{\color{ta3orange}\textbf{!}}\xspace}
\def\unsure{{\color{ta3butter}\ensuremath{\thicksim}}\xspace}
\def\todo{\icon{Baustelle}\xspace}

% Beam/SMOG elements
\def\lead{\ensuremath{\PP \kern -0.1em \Pb}\xspace}
\def\helium{\ensuremath{\PH \kern -0.1em \Pe}\xspace}
\def\neon{\ensuremath{\PN \kern -0.1em \Pe}\xspace}
\def\argon{\ensuremath{\PA \kern -0.1em \Pr}\xspace}
\def\xenon{\ensuremath{\PX \kern -0.1em \Pe}\xspace}

